Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/metadata_templates/global" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
"prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
"entries": [
{
"id": "58063d82-4128-7b43-bba9-92f706befcdf",
"type": "metadata_template",
"scope": "enterprise_123456",
"templateKey": "productInfo",
"displayName": "Product Info",
"hidden": true,
"fields": [
{
"type": "string",
"key": "category",
"displayName": "Category",
"description": "The category",
"hidden": true,
"options": [
{
"key": "Category 1",
"id": "45dc2849-a4a7-40a9-a751-4a699a589190"
}
],
"id": "822227e0-47a5-921b-88a8-494760b2e6d2"
}
],
"copyInstanceOnItemCopy": true
}
]
}Used to retrieve all generic, global metadata templates available to all enterprises using Box.
curl -i -X GET "https://api.box.com/2.0/metadata_templates/global" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
"prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
"entries": [
{
"id": "58063d82-4128-7b43-bba9-92f706befcdf",
"type": "metadata_template",
"scope": "enterprise_123456",
"templateKey": "productInfo",
"displayName": "Product Info",
"hidden": true,
"fields": [
{
"type": "string",
"key": "category",
"displayName": "Category",
"description": "The category",
"hidden": true,
"options": [
{
"key": "Category 1",
"id": "45dc2849-a4a7-40a9-a751-4a699a589190"
}
],
"id": "822227e0-47a5-921b-88a8-494760b2e6d2"
}
],
"copyInstanceOnItemCopy": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.
This requires usemarker to be set to true.
The maximum number of items to return per page.
x <= 1000Returns all of the metadata templates available to all enterprises and their corresponding schema.
A list of metadata templates.
The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
1000
The marker for the start of the next page of results.
"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
The marker for the start of the previous page of results.
"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih"
A list of metadata templates.
Show child attributes
Was this page helpful?